For the complete documentation index, see llms.txt. This page is also available as Markdown.

Attribute Values

Retrieve an attribute value

get

Retrieve an attribute value by ID.

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
200

An attribute value.

application/json
idinteger · int64OptionalExample: 1
labelstring · nullableOptional

The display label of the attribute value

Example: Color Red
valuestringOptional

The actual value of the attribute

Example: Red
orderinteger · nullableOptional

Order of the attribute value

Example: 1
erp_codestring · max: 255Optional

ERP code for integration purposes

Example: ERPCODE123
created_datestring · date-timeOptional

Date and time when the attribute value was created

Example: 2021-01-01T00:00:00Z
modified_datestring · date-timeOptional

Date and time when the attribute value was last modified

Example: 2021-01-01T00:00:00Z
get/api/v1/attribute_value/{id}/
GET /api/v1/attribute_value/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": 1,
  "attribute": {
    "id": 1,
    "default_value": {
      "id": 1,
      "attribute": {
        "id": 1,
        "default_value": {
          "id": 1,
          "attribute": {
            "id": 1,
            "default_value": "[Circular Reference]",
            "entity_type": {
              "id": 1,
              "app_label": "text",
              "model": "text"
            },
            "erp_code": "ERPCODE123",
            "pre_attribute": true,
            "description": "This is a color attribute",
            "name": "Color",
            "key": "color",
            "data_type": "text"
          },
          "label": "Color Red",
          "value": "Red",
          "order": 1,
          "erp_code": "ERPCODE123",
          "created_date": "2021-01-01T00:00:00Z",
          "modified_date": "2021-01-01T00:00:00Z",
          "translations": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          }
        },
        "entity_type": {
          "id": 1,
          "app_label": "text",
          "model": "text"
        },
        "erp_code": "ERPCODE123",
        "pre_attribute": true,
        "description": "This is a color attribute",
        "name": "Color",
        "key": "color",
        "data_type": "text"
      },
      "label": "Color Red",
      "value": "Red",
      "order": 1,
      "erp_code": "ERPCODE123",
      "created_date": "2021-01-01T00:00:00Z",
      "modified_date": "2021-01-01T00:00:00Z",
      "translations": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    },
    "entity_type": {
      "id": 1,
      "app_label": "text",
      "model": "text"
    },
    "erp_code": "ERPCODE123",
    "pre_attribute": true,
    "description": "This is a color attribute",
    "name": "Color",
    "key": "color",
    "data_type": "text"
  },
  "label": "Color Red",
  "value": "Red",
  "order": 1,
  "erp_code": "ERPCODE123",
  "created_date": "2021-01-01T00:00:00Z",
  "modified_date": "2021-01-01T00:00:00Z",
  "translations": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}

Update an attribute value

put

Update an attribute value by ID.

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Body
idinteger · int64OptionalExample: 1
labelstring · nullableOptional

The display label of the attribute value

Example: Color Red
valuestringOptional

The actual value of the attribute

Example: Red
orderinteger · nullableOptional

Order of the attribute value

Example: 1
erp_codestring · max: 255Optional

ERP code for integration purposes

Example: ERPCODE123
created_datestring · date-timeOptional

Date and time when the attribute value was created

Example: 2021-01-01T00:00:00Z
modified_datestring · date-timeOptional

Date and time when the attribute value was last modified

Example: 2021-01-01T00:00:00Z
Responses
200

Attribute value updated successfully.

application/json
idinteger · int64OptionalExample: 1
labelstring · nullableOptional

The display label of the attribute value

Example: Color Red
valuestringOptional

The actual value of the attribute

Example: Red
orderinteger · nullableOptional

Order of the attribute value

Example: 1
erp_codestring · max: 255Optional

ERP code for integration purposes

Example: ERPCODE123
created_datestring · date-timeOptional

Date and time when the attribute value was created

Example: 2021-01-01T00:00:00Z
modified_datestring · date-timeOptional

Date and time when the attribute value was last modified

Example: 2021-01-01T00:00:00Z
put/api/v1/attribute_value/{id}/
PUT /api/v1/attribute_value/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1150

{
  "id": 1,
  "attribute": {
    "id": 1,
    "default_value": {
      "id": 1,
      "attribute": {
        "id": 1,
        "default_value": {
          "id": 1,
          "attribute": {
            "id": 1,
            "default_value": "[Circular Reference]",
            "entity_type": {
              "app_label": "text",
              "model": "text"
            },
            "erp_code": "ERPCODE123",
            "pre_attribute": true,
            "description": "This is a color attribute",
            "name": "Color",
            "key": "color",
            "data_type": "text"
          },
          "label": "Color Red",
          "value": "Red",
          "order": 1,
          "erp_code": "ERPCODE123",
          "created_date": "2021-01-01T00:00:00Z",
          "modified_date": "2021-01-01T00:00:00Z"
        },
        "entity_type": {
          "app_label": "text",
          "model": "text"
        },
        "erp_code": "ERPCODE123",
        "pre_attribute": true,
        "description": "This is a color attribute",
        "name": "Color",
        "key": "color",
        "data_type": "text"
      },
      "label": "Color Red",
      "value": "Red",
      "order": 1,
      "erp_code": "ERPCODE123",
      "created_date": "2021-01-01T00:00:00Z",
      "modified_date": "2021-01-01T00:00:00Z"
    },
    "entity_type": {
      "app_label": "text",
      "model": "text"
    },
    "erp_code": "ERPCODE123",
    "pre_attribute": true,
    "description": "This is a color attribute",
    "name": "Color",
    "key": "color",
    "data_type": "text"
  },
  "label": "Color Red",
  "value": "Red",
  "order": 1,
  "erp_code": "ERPCODE123",
  "created_date": "2021-01-01T00:00:00Z",
  "modified_date": "2021-01-01T00:00:00Z"
}
{
  "id": 1,
  "attribute": {
    "id": 1,
    "default_value": {
      "id": 1,
      "attribute": {
        "id": 1,
        "default_value": {
          "id": 1,
          "attribute": {
            "id": 1,
            "default_value": "[Circular Reference]",
            "entity_type": {
              "id": 1,
              "app_label": "text",
              "model": "text"
            },
            "erp_code": "ERPCODE123",
            "pre_attribute": true,
            "description": "This is a color attribute",
            "name": "Color",
            "key": "color",
            "data_type": "text"
          },
          "label": "Color Red",
          "value": "Red",
          "order": 1,
          "erp_code": "ERPCODE123",
          "created_date": "2021-01-01T00:00:00Z",
          "modified_date": "2021-01-01T00:00:00Z",
          "translations": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          }
        },
        "entity_type": {
          "id": 1,
          "app_label": "text",
          "model": "text"
        },
        "erp_code": "ERPCODE123",
        "pre_attribute": true,
        "description": "This is a color attribute",
        "name": "Color",
        "key": "color",
        "data_type": "text"
      },
      "label": "Color Red",
      "value": "Red",
      "order": 1,
      "erp_code": "ERPCODE123",
      "created_date": "2021-01-01T00:00:00Z",
      "modified_date": "2021-01-01T00:00:00Z",
      "translations": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    },
    "entity_type": {
      "id": 1,
      "app_label": "text",
      "model": "text"
    },
    "erp_code": "ERPCODE123",
    "pre_attribute": true,
    "description": "This is a color attribute",
    "name": "Color",
    "key": "color",
    "data_type": "text"
  },
  "label": "Color Red",
  "value": "Red",
  "order": 1,
  "erp_code": "ERPCODE123",
  "created_date": "2021-01-01T00:00:00Z",
  "modified_date": "2021-01-01T00:00:00Z",
  "translations": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}

Delete an attribute value

delete

Delete an attribute value by ID.

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
204

Attribute value deleted successfully.

No content

delete/api/v1/attribute_value/{id}/
DELETE /api/v1/attribute_value/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*

No content

Partial update an attribute value

patch

Partial update an attribute value by ID.

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Body
idinteger · int64OptionalExample: 1
labelstring · nullableOptional

The display label of the attribute value

Example: Color Red
valuestringOptional

The actual value of the attribute

Example: Red
orderinteger · nullableOptional

Order of the attribute value

Example: 1
erp_codestring · max: 255Optional

ERP code for integration purposes

Example: ERPCODE123
created_datestring · date-timeOptional

Date and time when the attribute value was created

Example: 2021-01-01T00:00:00Z
modified_datestring · date-timeOptional

Date and time when the attribute value was last modified

Example: 2021-01-01T00:00:00Z
Responses
200

Attribute value updated successfully.

application/json
idinteger · int64OptionalExample: 1
labelstring · nullableOptional

The display label of the attribute value

Example: Color Red
valuestringOptional

The actual value of the attribute

Example: Red
orderinteger · nullableOptional

Order of the attribute value

Example: 1
erp_codestring · max: 255Optional

ERP code for integration purposes

Example: ERPCODE123
created_datestring · date-timeOptional

Date and time when the attribute value was created

Example: 2021-01-01T00:00:00Z
modified_datestring · date-timeOptional

Date and time when the attribute value was last modified

Example: 2021-01-01T00:00:00Z
patch/api/v1/attribute_value/{id}/
PATCH /api/v1/attribute_value/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1150

{
  "id": 1,
  "attribute": {
    "id": 1,
    "default_value": {
      "id": 1,
      "attribute": {
        "id": 1,
        "default_value": {
          "id": 1,
          "attribute": {
            "id": 1,
            "default_value": "[Circular Reference]",
            "entity_type": {
              "app_label": "text",
              "model": "text"
            },
            "erp_code": "ERPCODE123",
            "pre_attribute": true,
            "description": "This is a color attribute",
            "name": "Color",
            "key": "color",
            "data_type": "text"
          },
          "label": "Color Red",
          "value": "Red",
          "order": 1,
          "erp_code": "ERPCODE123",
          "created_date": "2021-01-01T00:00:00Z",
          "modified_date": "2021-01-01T00:00:00Z"
        },
        "entity_type": {
          "app_label": "text",
          "model": "text"
        },
        "erp_code": "ERPCODE123",
        "pre_attribute": true,
        "description": "This is a color attribute",
        "name": "Color",
        "key": "color",
        "data_type": "text"
      },
      "label": "Color Red",
      "value": "Red",
      "order": 1,
      "erp_code": "ERPCODE123",
      "created_date": "2021-01-01T00:00:00Z",
      "modified_date": "2021-01-01T00:00:00Z"
    },
    "entity_type": {
      "app_label": "text",
      "model": "text"
    },
    "erp_code": "ERPCODE123",
    "pre_attribute": true,
    "description": "This is a color attribute",
    "name": "Color",
    "key": "color",
    "data_type": "text"
  },
  "label": "Color Red",
  "value": "Red",
  "order": 1,
  "erp_code": "ERPCODE123",
  "created_date": "2021-01-01T00:00:00Z",
  "modified_date": "2021-01-01T00:00:00Z"
}
{
  "id": 1,
  "attribute": {
    "id": 1,
    "default_value": {
      "id": 1,
      "attribute": {
        "id": 1,
        "default_value": {
          "id": 1,
          "attribute": {
            "id": 1,
            "default_value": "[Circular Reference]",
            "entity_type": {
              "id": 1,
              "app_label": "text",
              "model": "text"
            },
            "erp_code": "ERPCODE123",
            "pre_attribute": true,
            "description": "This is a color attribute",
            "name": "Color",
            "key": "color",
            "data_type": "text"
          },
          "label": "Color Red",
          "value": "Red",
          "order": 1,
          "erp_code": "ERPCODE123",
          "created_date": "2021-01-01T00:00:00Z",
          "modified_date": "2021-01-01T00:00:00Z",
          "translations": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          }
        },
        "entity_type": {
          "id": 1,
          "app_label": "text",
          "model": "text"
        },
        "erp_code": "ERPCODE123",
        "pre_attribute": true,
        "description": "This is a color attribute",
        "name": "Color",
        "key": "color",
        "data_type": "text"
      },
      "label": "Color Red",
      "value": "Red",
      "order": 1,
      "erp_code": "ERPCODE123",
      "created_date": "2021-01-01T00:00:00Z",
      "modified_date": "2021-01-01T00:00:00Z",
      "translations": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    },
    "entity_type": {
      "id": 1,
      "app_label": "text",
      "model": "text"
    },
    "erp_code": "ERPCODE123",
    "pre_attribute": true,
    "description": "This is a color attribute",
    "name": "Color",
    "key": "color",
    "data_type": "text"
  },
  "label": "Color Red",
  "value": "Red",
  "order": 1,
  "erp_code": "ERPCODE123",
  "created_date": "2021-01-01T00:00:00Z",
  "modified_date": "2021-01-01T00:00:00Z",
  "translations": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}

Create an attribute value

post

Create an attribute value.

Authorizations
AuthorizationstringRequired
Body
idinteger · int64OptionalExample: 1
labelstring · nullableOptional

The display label of the attribute value

Example: Color Red
valuestringOptional

The actual value of the attribute

Example: Red
orderinteger · nullableOptional

Order of the attribute value

Example: 1
erp_codestring · max: 255Optional

ERP code for integration purposes

Example: ERPCODE123
created_datestring · date-timeOptional

Date and time when the attribute value was created

Example: 2021-01-01T00:00:00Z
modified_datestring · date-timeOptional

Date and time when the attribute value was last modified

Example: 2021-01-01T00:00:00Z
Responses
201

Attribute value created successfully.

application/json
idinteger · int64OptionalExample: 1
labelstring · nullableOptional

The display label of the attribute value

Example: Color Red
valuestringOptional

The actual value of the attribute

Example: Red
orderinteger · nullableOptional

Order of the attribute value

Example: 1
erp_codestring · max: 255Optional

ERP code for integration purposes

Example: ERPCODE123
created_datestring · date-timeOptional

Date and time when the attribute value was created

Example: 2021-01-01T00:00:00Z
modified_datestring · date-timeOptional

Date and time when the attribute value was last modified

Example: 2021-01-01T00:00:00Z
post/api/v1/attribute_value/
POST /api/v1/attribute_value/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 1150

{
  "id": 1,
  "attribute": {
    "id": 1,
    "default_value": {
      "id": 1,
      "attribute": {
        "id": 1,
        "default_value": {
          "id": 1,
          "attribute": {
            "id": 1,
            "default_value": "[Circular Reference]",
            "entity_type": {
              "app_label": "text",
              "model": "text"
            },
            "erp_code": "ERPCODE123",
            "pre_attribute": true,
            "description": "This is a color attribute",
            "name": "Color",
            "key": "color",
            "data_type": "text"
          },
          "label": "Color Red",
          "value": "Red",
          "order": 1,
          "erp_code": "ERPCODE123",
          "created_date": "2021-01-01T00:00:00Z",
          "modified_date": "2021-01-01T00:00:00Z"
        },
        "entity_type": {
          "app_label": "text",
          "model": "text"
        },
        "erp_code": "ERPCODE123",
        "pre_attribute": true,
        "description": "This is a color attribute",
        "name": "Color",
        "key": "color",
        "data_type": "text"
      },
      "label": "Color Red",
      "value": "Red",
      "order": 1,
      "erp_code": "ERPCODE123",
      "created_date": "2021-01-01T00:00:00Z",
      "modified_date": "2021-01-01T00:00:00Z"
    },
    "entity_type": {
      "app_label": "text",
      "model": "text"
    },
    "erp_code": "ERPCODE123",
    "pre_attribute": true,
    "description": "This is a color attribute",
    "name": "Color",
    "key": "color",
    "data_type": "text"
  },
  "label": "Color Red",
  "value": "Red",
  "order": 1,
  "erp_code": "ERPCODE123",
  "created_date": "2021-01-01T00:00:00Z",
  "modified_date": "2021-01-01T00:00:00Z"
}
{
  "id": 1,
  "attribute": {
    "id": 1,
    "default_value": {
      "id": 1,
      "attribute": {
        "id": 1,
        "default_value": {
          "id": 1,
          "attribute": {
            "id": 1,
            "default_value": "[Circular Reference]",
            "entity_type": {
              "id": 1,
              "app_label": "text",
              "model": "text"
            },
            "erp_code": "ERPCODE123",
            "pre_attribute": true,
            "description": "This is a color attribute",
            "name": "Color",
            "key": "color",
            "data_type": "text"
          },
          "label": "Color Red",
          "value": "Red",
          "order": 1,
          "erp_code": "ERPCODE123",
          "created_date": "2021-01-01T00:00:00Z",
          "modified_date": "2021-01-01T00:00:00Z",
          "translations": {
            "ANY_ADDITIONAL_PROPERTY": "text"
          }
        },
        "entity_type": {
          "id": 1,
          "app_label": "text",
          "model": "text"
        },
        "erp_code": "ERPCODE123",
        "pre_attribute": true,
        "description": "This is a color attribute",
        "name": "Color",
        "key": "color",
        "data_type": "text"
      },
      "label": "Color Red",
      "value": "Red",
      "order": 1,
      "erp_code": "ERPCODE123",
      "created_date": "2021-01-01T00:00:00Z",
      "modified_date": "2021-01-01T00:00:00Z",
      "translations": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      }
    },
    "entity_type": {
      "id": 1,
      "app_label": "text",
      "model": "text"
    },
    "erp_code": "ERPCODE123",
    "pre_attribute": true,
    "description": "This is a color attribute",
    "name": "Color",
    "key": "color",
    "data_type": "text"
  },
  "label": "Color Red",
  "value": "Red",
  "order": 1,
  "erp_code": "ERPCODE123",
  "created_date": "2021-01-01T00:00:00Z",
  "modified_date": "2021-01-01T00:00:00Z",
  "translations": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  }
}

Last updated

Was this helpful?